package com.sqx.modules.record.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sqx.common.utils.Result;
import com.sqx.modules.record.entity.Record;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author www.javacoder.top
 * @since 2023-01-18
 */
public interface RecordService extends IService<Record> {

    IPage<Record> getMyRecordList(Integer page, Integer limit, Record record);

    Result deleteRecord(Long userId, Long recordId);

    void saveRecord(Long userId, String keyWord);

    IPage<String> getHotKeyWord(Integer page, Integer limit);
}
